#!/usr/bin/make -f

export PYBUILD_NAME=opt-einsum

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	PYTHONPATH=. https_proxy='127.0.0.1:9' http_proxy='127.0.0.1:9' mkdocs build -d build/html

	#Remove privacy-breach URLs that cause warnings
	find -type f -name "*.html" -exec sed -i 's|https://fonts.gstatic.com|(URL removed)|g' {} +
	find -type f -name "*.html" -exec sed -i 's|https://fonts.googleapis.com|(URL removed)|g' {} +

	#Remove duplicate files
	rm -f build/html/sitemap.xml.gz

	dh_installdocs -ppython-opt-einsum-doc --doc-main-package=python-opt-einsum-doc build/html
	dh_installdocs
